Nimply Developers
API ReferencePosts

Request approval for a post

POST
/v1/posts/{id}/request-approval

Moves a DRAFT post to PENDING_APPROVAL and fires the post.approval_requested webhook. Find pending posts with GET /v1/posts?status=PENDING_APPROVAL.

AuthorizationBearer <token>

Workspace API key (nim_live_...)

In: header

Path Parameters

id*string

Post id

Response Body

application/json

curl -X POST "https://example.com/v1/posts/string/request-approval"
{  "id": "123e4567-e89b-12d3-a456-426614174000",  "channelId": "123e4567-e89b-12d3-a456-426614174000",  "content": "Launching something new today 🚀",  "title": null,  "contentType": "POST",  "status": "SCHEDULED",  "scheduledAt": "2026-08-01T09:00:00.000Z",  "publishedAt": null,  "createdAt": "2026-07-05T10:00:00.000Z",  "mediaIds": [    "string"  ]}
Empty